# Hikageable

@ Target (allowedTargets = [ AnnotationTarget.FUNCTION ])
annotation class Hikageable

Declare an implementation of the Hikage.Performer function that will be used for infectious creation of sub-layouts.

Usage:

    @Hikageable
    inline fun <reified LP : ViewGroup.LayoutParams> Hikage.Performer<LP>.MyView(
        lparams: Hikage.LayoutParams? = null,
        id: String? = null,
        init: HikageView<MyView> = {}
    ) = View<MyView>(id, init, lparams)

Content copied to clipboard

#### See also

Hikage.Performer